# Uses of Enum Class
org.opensaml.soap.wssecurity.messaging.Token.ValidationStatus

Packages that use Token.ValidationStatus
Package
Description
org.opensaml.soap.wssecurity.messaging
WS-Security messaging support components.

## Uses of Token.ValidationStatus in org.opensaml.soap.wssecurity.messaging

Fields in org.opensaml.soap.wssecurity.messaging declared as Token.ValidationStatus
Modifier and Type
Field
Description
`private Token.ValidationStatus`
AbstractToken.`validationStatus`
Token validation status.
Methods in org.opensaml.soap.wssecurity.messaging that return Token.ValidationStatus
Modifier and Type
Method
Description
`Token.ValidationStatus`
AbstractToken.`getValidationStatus()`
Get the token validation status.
`Token.ValidationStatus`
Token.`getValidationStatus()`
Get the token validation status.
`static Token.ValidationStatus`
Token.ValidationStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Token.ValidationStatus[]`
Token.ValidationStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.soap.wssecurity.messaging with parameters of type Token.ValidationStatus
Modifier and Type
Method
Description
`void`
AbstractToken.`setValidationStatus(Token.ValidationStatus status)`
Get the token validation status.